[linux-libre] "Missing Free firmware™ message in kernel log
2018-05-17 02:24 PM - FreedomSKa

Status: open % Done: 0%
Priority: bug

Assignee: Megver83

Category:

Description

i have moved from arch to parabola using the Migration from Arch wiki page but every boot i get
Missing free firmware [non free firmware loading is disabled]
| checked if it was installed

$ pacman —-Ss linux-libre-firmware
libre/linux-libre-firmware 1:1.2.1-1 [installed]

if it's installed why am i getting this message?

History

#1 - 2018-05-17 02:37 PM - freemor

The message is a little confusing it would better read "No free frimware found/available"

the part to pay attention to is:

[non free firmware loading is disabled]

Which is trying to tell you that the driver for some device tried to load a non-free firmware blob that is missing in Parabola and there is currently no
freedom respecting alternative.

More details from the logs as to which device would be helpful. Just incase there is freedom respecting firmware for that device in different package.
#2 - 2018-05-24 02:19 AM - Megver83
This is not related to linux-libre-firmware. It happens every time the kernel tries to load a (deblobbed) binary blob:

[ 3.174643] 0000:02:00.0: Missing Free firmware (non-Free firmware loading is disabled)
[ 3.175218] pci 0000:02:00.0: Direct firmware load for /* (DEBLOBBED)*/ failed with error -2

This happens to me in my laptop which tries to load the non-free iwlwifi firmware. However, I've recently disabled lots of configs which enabled these
blobs, making this annoying message disappear. Try Linux-libre 4.16.9+, then that message should disappear. If not, please show me your output of:

# dmesg | grep -i firmware

#3 - 2018-05-24 02:19 AM - Megver83

- Assignee set to Megver83

#4 - 2018-05-24 02:20 AM - Megver83

- Subject changed from Missing Free firmware to [linux-libre] "Missing Free firmware" message in kernel log

#5 - 2018-06-13 09:09 PM - Megver83
FreedomSKa does the latest linux-libre displays that message?
